Summary: Mono is a platform for running and developing modern applications.
Name: mono
Version: 1.0.6
Release: 6tr
BuildRoot: /var/tmp/%{name}-root
Source: http://www.go-mono.com/archive/%{version}/%{name}-%{version}.tar.gz
License: GPL
Group: Trustix Official
URL: http://www.mono-project.com

%description
Mono is a platform for running and developing modern applications,
based on the ECMA/ISO Standards. Mono can run existing programs
targeting the .NET or Java frameworks.

%package devel
Summary: Development resources for mono
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description devel
Development resources for mono.

%prep
%setup -q

%build
./configure --prefix=%{_prefix} \
	    --with-tls=pthread \
	    --enable-shared \
	    --sysconfdir=%{_sysconfdir} \
	    --mandir=%{_mandir} \
            --libdir=%{_libdir} 	
make LDFLAGS="-lglib-2.0 -lgmodule-2.0 -lgthread-2.0"

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR=$RPM_BUILD_ROOT

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root,0755)
/etc/mono/*
/usr/bin/*
/usr/include/mono/*
/usr/lib/libMonoPosixHelper.so.0.0.0
/usr/lib/libmint.so.0.0.0
/usr/lib/libmono.so.0.0.0
/usr/lib/libmono-profiler-cov.so.0.0.0
/usr/share/libgc-mono/*
/usr/share/man/man1/*
/usr/share/man/man5/*
/usr/share/mono/cil/cil-opcodes.xml

%files devel
%defattr(-,root,root)
/usr/lib/pkgconfig/*
/usr/lib/mono/*
/usr/lib/mscorlib.dll
/usr/lib/libmint.a
/usr/lib/libmono.a
/usr/lib/libmint.la
/usr/lib/libmono.la
/usr/lib/libmono-profiler-cov.a
/usr/lib/libMonoPosixHelper.a
/usr/lib/libMonoPosixHelper.la
/usr/lib/libmono-profiler-cov.la

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Mon Nov 14 2005 Bipin S <bipin at trustix dot org> 1.0.6-5tr
- Devel package added.

* Fri Apr 29 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.0.6-3tr
- make with LDFLAGS  to fix unresolved symbols in *.so files

* Tue Apr 26 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.0.6-2tr
- Rebuild on gcc-4.0

* Mon Apr 18 2005 Hasher Jamaludeen <hasher at comodo dot com> 1.0.6-1hr
- New upstream

